Summary:	Xau - X authorization file management library
Summary(pl.UTF-8):	Xau - biblioteka zarządzająca plikami autoryzacji X
Name:		xorg-lib-libXau
Version:	1.0.7
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXau-%{version}.tar.bz2
# Source0-md5:	2d241521df40d27034413436d1a1465c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	libXau
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xau is the X authorization file management library, conforming to X
Authorization Protocol.


%description -l pl.UTF-8
Xau to biblioteka zarządzająca plikami autoryzacji X zgodnie z
protokołem autoryzacji X.

%package devel
Summary:	Header files for libXau library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXau
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-xproto-devel
Obsoletes:	libXau-devel

%description devel
Header files for libXau library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libXau.

%package static
Summary:	Static libXau library
Summary(pl.UTF-8):	Biblioteka statyczna libXau
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXau-static

%description static
Static libXau library.

%description static -l pl.UTF-8
Biblioteka statyczna libXau.

%prep
%setup -q -n libXau-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXau.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXau.so
%{_libdir}/libXau.la
%{_includedir}/X11/Xauth.h
%{_pkgconfigdir}/xau.pc
%{_mandir}/man3/Xau*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXau.a
%changelog
* Wed Mar 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 59b4e80
- updated to 1.0.7

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c6fa16c
- dropped pre-cvs changelog

* Thu Aug 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 458d3f9
- updated to 1.0.6

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> 6966113
- updated util-macros version

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a3a7622
- up to 1.0.5

* Fri Aug 29 2008 Jakub Bogusz <qboosh@pld-linux.org> f734737
- updated to 1.0.4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2601d44
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9b6e26f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 99ca94b
- converted to UTF-8

* Mon Dec 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 543ea8a
- more specific descs, unified -devel/-static

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a6d4d86
- up to 1.0.3

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d04a218
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 4969659
- rebuild

* Mon Nov 20 2006 Paweł Sikora <pluto@pld-linux.org> 206f490
- release 2. (rebuild with P: *.la)

* Tue Aug 08 2006 Jakub Bogusz <qboosh@pld-linux.org> e024cf9
- updated to 1.0.2

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 36657d9
- updated to 1.0.1

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 4a0506d
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> be3a836
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> b87885a
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 941f1af
- -devel desc fixes

